name: ghc
version: 7.0.4
id: ghc-7.0.4-cd78c5405c252e75fbf3ba3290379e18
license: BSD3
copyright:
maintainer: glasgow-haskell-users@haskell.org
stability:
homepage: http://www.haskell.org/ghc/
package-url:
description: GHC's functionality can be useful for more things than just
             compiling Haskell programs. Important use cases are programs
             that analyse (and perhaps transform) Haskell code. Others
             include loading Haskell code dynamically in a GHCi-like manner.
             For this reason, a lot of GHC's functionality is made available
             through this package.
category: Development
author: The GHC Team
exposed: False
exposed-modules: AsmCodeGen TargetReg NCGMonad Instruction Size Reg
                 RegClass PIC Platform Alpha.Regs Alpha.RegInfo Alpha.Instr
                 Alpha.CodeGen X86.Regs X86.RegInfo X86.Instr X86.Cond X86.Ppr
                 X86.CodeGen PPC.Regs PPC.RegInfo PPC.Instr PPC.Cond PPC.Ppr
                 PPC.CodeGen SPARC.Base SPARC.Regs SPARC.RegPlate SPARC.Imm
                 SPARC.AddrMode SPARC.Cond SPARC.Instr SPARC.Stack
                 SPARC.ShortcutJump SPARC.Ppr SPARC.CodeGen SPARC.CodeGen.Amode
                 SPARC.CodeGen.Base SPARC.CodeGen.CCall SPARC.CodeGen.CondCode
                 SPARC.CodeGen.Gen32 SPARC.CodeGen.Gen64 SPARC.CodeGen.Sanity
                 SPARC.CodeGen.Expand RegAlloc.Liveness RegAlloc.Graph.Main
                 RegAlloc.Graph.Stats RegAlloc.Graph.ArchBase RegAlloc.Graph.ArchX86
                 RegAlloc.Graph.Coalesce RegAlloc.Graph.Spill
                 RegAlloc.Graph.SpillClean RegAlloc.Graph.SpillCost
                 RegAlloc.Graph.TrivColorable RegAlloc.Linear.Main
                 RegAlloc.Linear.JoinToTargets RegAlloc.Linear.State
                 RegAlloc.Linear.Stats RegAlloc.Linear.FreeRegs
                 RegAlloc.Linear.StackMap RegAlloc.Linear.Base
                 RegAlloc.Linear.X86.FreeRegs RegAlloc.Linear.PPC.FreeRegs
                 RegAlloc.Linear.SPARC.FreeRegs DsMeta TcSplice Convert ByteCodeAsm
                 ByteCodeFFI ByteCodeGen ByteCodeInstr ByteCodeItbls ByteCodeLink
                 Debugger LibFFI Linker ObjLink RtClosureInspect BasicTypes DataCon
                 Demand Exception Id IdInfo Literal Llvm Llvm.AbsSyn Llvm.PpLlvm
                 Llvm.Types LlvmCodeGen LlvmCodeGen.Base LlvmCodeGen.CodeGen
                 LlvmCodeGen.Data LlvmCodeGen.Ppr LlvmCodeGen.Regs LlvmMangler MkId
                 Module Name NameEnv NameSet OccName RdrName SrcLoc UniqSupply
                 Unique Var VarEnv VarSet BlockId CLabel Cmm CmmBrokenBlock
                 CmmBuildInfoTables CmmCPS CmmCPSGen CmmCPSZ CmmCallConv
                 CmmCommonBlockElimZ CmmContFlowOpt CmmCvt CmmExpr CmmInfo CmmLex
                 CmmLint CmmLive CmmLiveZ CmmOpt CmmParse CmmProcPoint CmmProcPointZ
                 CmmSpillReload CmmStackLayout CmmTx CmmUtils CmmZipUtil DFMonad
                 Dataflow MkZipCfg MkZipCfgCmm OptimizationFuel PprBase PprC PprCmm
                 PprCmmZ StackColor StackPlacements ZipCfg ZipCfgCmmRep ZipCfgExtras
                 ZipDataflow Bitmap CgBindery CgCallConv CgCase CgClosure CgCon
                 CgExpr CgExtCode CgForeignCall CgHeapery CgHpc CgInfoTbls
                 CgLetNoEscape CgMonad CgParallel CgPrimOp CgProf CgStackery
                 CgTailCall CgTicky CgUtils StgCmm StgCmmBind StgCmmClosure
                 StgCmmCon StgCmmEnv StgCmmExpr StgCmmForeign StgCmmGran StgCmmHeap
                 StgCmmHpc StgCmmLayout StgCmmMonad StgCmmPrim StgCmmProf
                 StgCmmTicky StgCmmUtils ClosureInfo CodeGen SMRep CoreArity CoreFVs
                 CoreLint CorePrep CoreSubst CoreSyn CoreTidy CoreUnfold CoreUtils
                 ExternalCore MkCore MkExternalCore PprCore PprExternalCore Check
                 Coverage Desugar DsArrows DsBinds DsCCall DsExpr DsForeign DsGRHSs
                 DsListComp DsMonad DsUtils Match MatchCon MatchLit HsBinds HsDecls
                 HsDoc HsExpr HsImpExp HsLit HsPat HsSyn HsTypes HsUtils BinIface
                 BuildTyCl IfaceEnv IfaceSyn IfaceType LoadIface MkIface TcIface
                 Annotations BreakArray CmdLineParser CodeOutput Config Constants
                 DriverMkDepend DriverPhases DriverPipeline DynFlags ErrUtils Finder
                 GHC HeaderInfo HscMain HscStats HscTypes InteractiveEval
                 PackageConfig Packages PprTyThing StaticFlags StaticFlagParser
                 SysTools TidyPgm Ctype HaddockUtils LexCore Lexer OptCoercion
                 Parser ParserCore ParserCoreUtils RdrHsSyn ForeignCall PrelInfo
                 PrelNames PrelRules PrimOp TysPrim TysWiredIn CostCentre SCCfinal
                 RnBinds RnEnv RnExpr RnHsDoc RnHsSyn RnNames RnPat RnSource RnTypes
                 CoreMonad CSE FloatIn FloatOut LiberateCase OccurAnal SAT SetLevels
                 SimplCore SimplEnv SimplMonad SimplUtils Simplify SRT SimplStg
                 StgStats Rules SpecConstr Specialise CoreToStg StgLint StgSyn
                 DmdAnal WorkWrap WwLib FamInst Inst TcAnnotations TcArrows TcBinds
                 TcClassDcl TcDefaults TcDeriv TcEnv TcExpr TcForeign TcGenDeriv
                 TcHsSyn TcHsType TcInstDcls TcMType TcMatches TcPat TcRnDriver
                 TcRnMonad TcRnTypes TcRules TcSimplify TcErrors TcTyClsDecls
                 TcTyDecls TcType TcUnify TcInteract TcCanonical TcSMonad Class
                 Coercion FamInstEnv FunDeps Generics InstEnv TyCon Type TypeRep
                 Unify Bag Binary BufWrite Digraph Encoding FastBool FastFunctions
                 FastMutInt FastString FastTypes Fingerprint FiniteMap GraphBase
                 GraphColor GraphOps GraphPpr IOEnv Interval ListSetOps Maybes
                 MonadUtils OrdList Outputable Panic Pretty Serialized State
                 StringBuffer UniqFM UniqSet Util Vectorise.Builtins.Base
                 Vectorise.Builtins.Initialise Vectorise.Builtins.Modules
                 Vectorise.Builtins.Prelude Vectorise.Builtins Vectorise.Monad.Base
                 Vectorise.Monad.Naming Vectorise.Monad.Local Vectorise.Monad.Global
                 Vectorise.Monad.InstEnv Vectorise.Monad Vectorise.Utils.Base
                 Vectorise.Utils.Closure Vectorise.Utils.Hoisting
                 Vectorise.Utils.PADict Vectorise.Utils.PRDict Vectorise.Utils.Poly
                 Vectorise.Utils Vectorise.Type.Env Vectorise.Type.Repr
                 Vectorise.Type.PData Vectorise.Type.PRepr Vectorise.Type.PADict
                 Vectorise.Type.PRDict Vectorise.Type.Type Vectorise.Type.TyConDecl
                 Vectorise.Type.Classify Vectorise.Convert Vectorise.Vect
                 Vectorise.Var Vectorise.Env Vectorise.Exp Vectorise
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/ghc-7.0.4
library-dirs: /usr/local/lib/ghc-7.0.4/ghc-7.0.4
hs-libraries: HSghc-7.0.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/lib/ghc-7.0.4/ghc-7.0.4/include
includes:
depends: Cabal-1.10.2.0-7573b602ef739778d1ccac9a07ee96ac
         array-0.3.0.2-ecfce597e0f16c4cd1df0e1d22fd66d4
         base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         bin-package-db-0.0.0.0-5fd81309dae80c4bd420966ed3c283db
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         containers-0.4.0.0-18deac99a132f04751d862b77aab136e
         directory-1.1.0.0-ccdcf043bf8bcec9518fbfad880579a5
         filepath-1.2.0.0-679ac50c41ba31bfc69abf444d9852e4
         hpc-0.5.0.6-b8d5c030e883f101f7c12728f46ad442
         old-time-1.0.0.6-37d6575186c36059fbc372c289dbddd4
         process-1.0.1.5-4cab1bf0666275ac101dd48c7565b64c
         template-haskell-2.5.0.0-9ca898a62e2e436d580f8a1457817485
         unix-2.4.2.0-550fb4895c2ae1b23e271d9bc235c3c7
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/html/libraries/ghc-7.0.4/ghc.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/html/libraries/ghc-7.0.4
